# DynamicArray1D class

(Shortest import: `from brian2.memory.dynamicarray import DynamicArray1D)`

class brian2.memory.dynamicarray.DynamicArray1D(shape, dtype=<class 'float'>, factor=2, use_numpy_resize=False, refcheck=True)

  Bases: `DynamicArray`

  Version of `DynamicArray` with specialised `resize` method designed to be more efficient.

  Methods

  `resize`(newshape) | Resizes the data to the new shape, which can be a different size to the current data, but should have the same rank, i.e. same number of dimensions.

  Details

  resize(newshape)

    Resizes the data to the new shape, which can be a different size to the current data, but should have the same rank, i.e. same number of dimensions.